> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get client payment status



## OpenAPI

````yaml get /client/{id}/payment-status
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /client/{id}/payment-status:
    get:
      tags:
        - Client
      summary: Get client payment status
      operationId: f7f749812bcb97d0a826a2a42e304454
      parameters:
        - name: id
          in: path
          description: The id of the client
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  paid:
                    type: boolean
                    example: true
                  total:
                    type: number
                    example: 0
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Invalid request
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````